Subject: I-D Action:draft-hoffman-keys-linkage-from-dns-00.txt

From: [email-masked]
Date: Fri, 13 Aug 2010 13:30:03 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : Using Secure DNS to Associate Keys with Domain Names For TLS
	Author(s)       : P. Hoffman, et al.
	Filename        : draft-hoffman-keys-linkage-from-dns-00.txt
	Pages           : 9
	Date            : 2010-08-13

TLS uses PKIX certificates for authenticating the server.  Users want
their applications to verify that the key in the certificate provided
by the TLS server is in fact associated with the domain name they
expect.  Instead of trusting a certificate authority to have made
this association correctly, the user might instead trust the
authoritative DNS server for the domain name to make that
association.  This document describes how to use secure DNS to
associate the key that appears in a TLS server's certificate with the
the intended domain name.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-hoffman-keys-linkage-from-dns-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.